ONVIF::Media::Types::Mpeg4Options(3)

NAME
ONVIF::Media::Types::Mpeg4Options

DESCRIPTION
Perl data type class for the XML Schema defined complexType Mpeg4Options from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   ResolutionsAvailable

•   GovLengthRange

•   FrameRateRange

•   EncodingIntervalRange

•   Mpeg4ProfilesSupported

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Media::Types::Mpeg4Options
   ResolutionsAvailable =>  { # ONVIF::Media::Types::VideoResolution
     Width =>  $some_value, # int
     Height =>  $some_value, # int
   },
   GovLengthRange =>  { # ONVIF::Media::Types::IntRange
     Min =>  $some_value, # int
     Max =>  $some_value, # int
   },
   FrameRateRange =>  { # ONVIF::Media::Types::IntRange
     Min =>  $some_value, # int
     Max =>  $some_value, # int
   },
   EncodingIntervalRange =>  { # ONVIF::Media::Types::IntRange
     Min =>  $some_value, # int
     Max =>  $some_value, # int
   },
   Mpeg4ProfilesSupported => $some_value, # Mpeg4Profile
 },

AUTHOR
Generated by SOAP::WSDL